<?php
namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;

class LogsIntegracaoSAPService {
	protected $entityManager;
	
	public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
		$this->entityManager = $entityManager;
	}
	
	public function findNotificacoes ($params) {
	    return $this->entityManager->getConnection()->fetchAll(self::FIND_NOTIF, $params);
	}
	
	public function findConsultas ($params) {
	    return $this->entityManager->getConnection()->fetchAll(self::FIND_CONSULTAS, $params);
	}
	
	const FIND_NOTIF = "
        SELECT
            DTHRNOTIF,
            TPNOTIF,
            CDFILIAL AS P_CDFILIAL,
            CDLOJA AS P_CDLOJA,
            CDCAIXA AS P_CDCAIXA,
            TO_CHAR(DTMOVIMENTACAO, 'DD/MM/YYYY') AS P_DTMOVIMENTACAO,
            QTVENDAS,
            STATUSSAP,
            IPSERVIDOR,
            NMBDORACLE
        FROM LOGSAPNOTIF
        WHERE ((INSTR(:CDFILIAL, CDFILIAL)>0) OR (:CDFILIAL = 'T'))
           AND ((INSTR(:CDCAIXA, CDCAIXA)>0) OR(:CDCAIXA = 'T'))
           AND ((INSTR(:CDLOJA, CDLOJA)>0) OR(:CDLOJA = 'T'))
           AND DTMOVIMENTACAO BETWEEN :DTINICIAL AND :DTFINAL
           
	";
	
	
	const FIND_CONSULTAS = "
	    SELECT
            DTHRNOTIF,
            TPNOTIF,
            CDFILIAL AS P_CDFILIAL,
            CDLOJA AS P_CDLOJA,
            CDCAIXA AS P_CDCAIXA,
            TO_CHAR(DTMOVIMENTACAO, 'DD/MM/YYYY') AS P_DTMOVIMENTACAO,
            QTVENDAS,
            ENVIADOSANG,
            STATUSSAP,
            IPSERVIDOR,
            NMBDORACLE
        FROM LOGSAPCONSULTA
        WHERE ((INSTR(:CDFILIAL, CDFILIAL)>0) OR (:CDFILIAL = 'T'))
           AND ((INSTR(:CDCAIXA, CDCAIXA)>0) OR(:CDCAIXA = 'T'))
           AND ((INSTR(:CDLOJA, CDLOJA)>0) OR(:CDLOJA = 'T'))
           AND DTMOVIMENTACAO BETWEEN :DTINICIAL AND :DTFINAL
	";
}